Categories
Linux Windows

Getting Windows Vista/2008 to interact with older Samba installations

Newer versions of Windows have implemented a newer version of MS-LAN Manager communication, this is not supported by older Samba installations (below 3.2.1). So in order to fix this, you have to make your Windows client keep to the older version of MS-LAN manager.

You cannot do this if you are running a Windows 2008 server!

1) Open run

2) Start secpol.msc

3) Browse to  Local Policies, Security Options, Network security: LAN Manager authentication level

4) Set it to“Send LM & NTLM responses”

5) Fixed 🙂

(Another option would of course be to simply upgrade Samba)